Bug 187578 - Fence daemon calling custom fence method has strange behavior
Fence daemon calling custom fence method has strange behavior
Status: CLOSED NOTABUG
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: fence (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-01 00:00 EST by Henry Harris
Modified: 2009-04-16 16:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-02 16:52:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henry Harris 2006-04-01 00:00:54 EST
Description of problem:
We have implemented our own fence method which was working fine until the U3 
upgrade.  We have a perl script in /sbin which is called by the fence daemon.  
The perl script uses a system command to call a bash script.  Both the perl 
script and the bash script work fine if called from a command line.  If the 
perl script is called from the fence daemon, the bash script either hangs on a 
read command or exhibits other strange behavior such as logger will not print 
a message to the system log.

Version-Release number of selected component (if applicable):
fence-1.32.18-0

How reproducible:
Every time.

Steps to Reproduce:
1. Invoke perl script from fence daemon
2. Invoke bash script using system command in perl script
3. Have bash script issue logger "message" 
  
Actual results:
No logger message appears in system log

Expected results:
Logger message in system log

Additional info:
Comment 1 Henry Harris 2006-04-02 16:52:27 EDT
Problem was in our own start up scipts for fenced.

Note You need to log in before you can comment on or make changes to this bug.